package totallynotmalware.ui;

import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.JLabel;

public class LeftImage extends JLabel {
	
	private static final long serialVersionUID = -5679515569787062624L;
	
	public LeftImage() {
		super(loadImage());
	}
	
	private static ImageIcon loadImage() {
		// could be in these two places
		URL url=LeftImage.class.getClassLoader().getResource(LeftImage.filename);
		if(url==null) url=LeftImage.class.getClassLoader().getResource("/data/"+LeftImage.filename);
		
		return new ImageIcon(url);
	}
	
	public static final String filename="image.gif";
}
